[BETA] Update a milestone strategy

View as Markdown

Enterprise feature

[BETA] This API is in beta state, which means it may change or be removed in the future.

Update a milestone strategy configuration for a feature flag in the specified environment.

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

projectstringRequired
featureNamestringRequired
environmentstringRequired
strategyIdstringRequired

Request

updateMilestoneStrategySchema
sortOrderdoubleOptional
The order of the strategy in the list in feature environment configuration
constraintslist of objectsOptional

A list of the constraints attached to the strategy. See https://docs.getunleash.io/concepts/activation-strategies#constraints

titlestring or nullOptional
A descriptive title for the strategy
disabledboolean or nullOptional
A toggle to disable the strategy. defaults to true. Disabled strategies are not evaluated or returned to the SDKs
variantslist of objectsOptional
Strategy level variants
segmentslist of doublesOptional
A list of segment ids attached to the strategy
parametersmap from strings to stringsOptional
A list of parameters for a strategy

Response

#/components/schemas/releasePlanMilestoneStrategySchema

idstring
The milestone strategy's ID. Milestone strategy IDs are ulids.
milestoneIdstring
The ID of the milestone that this strategy belongs to.
sortOrderdouble
The order of the strategy in the list
namestring
The name of the strategy type
strategyNamestringDeprecated
The name of the strategy type
titlestring or null
A descriptive title for the strategy
parametersmap from strings to strings
An object containing the parameters for the strategy
constraintslist of objects

A list of the constraints attached to the strategy. See https://docs.getunleash.io/concepts/activation-strategies#constraints

variantslist of objects
Strategy level variants
segmentslist of doubles
Ids of segments to use for this strategy
disabledboolean or null
A toggle to disable the strategy. defaults to false. Disabled strategies are not evaluated or returned to the SDKs

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error